
# todo

- investigate using `Ignorepkg` to lock the kernel and prevent disruption during daily updates

- investigate a method of detecting "hidpi" displays without relying on xserver so we can automate configuration changes

- replace hard-coded `/dev/sda`
	- parameterize `setup/install.sh` to detect disks and interactively ask for primary
	- parameterize disk so that `bootctl` in `arch.sh` determines the root partition

- enhance `setup/install.sh` such that it can intelligently size swap
	- detect if laptop (`pacman -S dmidecode`) or ask if user wishes to enable hibernation
	- detect memory total (`cat /proc/meminfo | grep "MemTotal" | awk '{print $2}'`)
		- if no hibernation
			- total > 4GB use 20% for SWAP
			- else use 200% total
		- if yes hibernation
			- if total < 6G use 200%
			- else use 100% + 2G

- verify `locale-gen` with `ja_JP.UTF-8` works without any problems
	- test `fcitx-mozc` or alternatives for GUI selection and IME support

- investigate `laptop-mode-tools` configuration (_on an actual laptop_)
	- modify `panel_items = LTSCB` in `~/.config/tint2/tint2rc` for displaying battery

- consider adding `https://aur.archlinux.org/packages/yay/` to the installed AUR packages

- investigate `libfm` and `pcmanfm` enhancements
	- a patch to enable directory thumbnail generation
	- support for `webp` files; including animated `webp` files

- try out i3 window manager

- try out `Dolphin` as an alternative to `pcmanfm`

- try out `docky` as a combined replacement for `gmrun` and `tint2`

- experiment with tint2 alternatives (menubar):
	- dzen
	- lemonbar
	- polybar
	- yabar
	- i3blocks
	- stalonetray

- experiment with notification services (_I don't use one personally_):
	- dunst
	- statnot
	- twmn

- experiment gmrun alternatives (launchers; _would love one that can do math_):
	- rofi
	- albert
	- dmenu
	- kupfer

- try and figure out how to add `ctrl+c` support to the getty login (_like debian_)
